# DoorLockTrait.GetWeekDayScheduleCommand.Response

# DoorLockTrait.GetWeekDayScheduleCommand.Response


```
class DoorLockTrait.GetWeekDayScheduleCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

Returns the weekly repeating schedule data for the specified schedule index.

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#Response(kotlin.UByte,kotlin.UShort,com.google.home.matter.standard.DoorLockTrait.DlStatus,com.google.home.matter.standard.DoorLockTrait.DaysMaskMap,kotlin.UByte,kotlin.UByte,kotlin.UByte,kotlin.UByte)( weekDayIndex: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html, userIndex: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-short/index.html, status: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.DlStatus, daysMask: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.DaysMaskMap?, startHour: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?, startMinute: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?, endHour: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?, endMinute: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html? )` Creates a response payload from the GetWeekDaySchedule command. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.DaysMaskMap?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#daysMask()` The days of the week in the week day schedule. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#endHour()` This indicates the ending hour for the week day schedule. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#endMinute()` The ending minute for the week day schedule. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#startHour()` The starting hour for the week day schedule. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#startMinute()` The starting minute for the week day schedule. |
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.DlStatus` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#status()` The status of the `GetWeekDaySchedule` command. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-short/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#userIndex()` The unique identifier for the user whose week day schedule is to be retrieved. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetWeekDayScheduleCommand.Response#weekDayIndex()` The unique identifier for the week day schedule being retrieved. |

## Public constructors

### Response

```
Response(
    weekDayIndex: UByte,
    userIndex: UShort,
    status: DoorLockTrait.DlStatus = DlStatus.Success,
    daysMask: DoorLockTrait.DaysMaskMap? = null,
    startHour: UByte? = null,
    startMinute: UByte? = null,
    endHour: UByte? = null,
    endMinute: UByte? = null
)
```

Creates a response payload from the GetWeekDaySchedule command.

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### daysMask

```
val daysMask: DoorLockTrait.DaysMaskMap?
```

The days of the week in the week day schedule.

### endHour

```
val endHour: UByte?
```

This indicates the ending hour for the week day schedule.

### endMinute

```
val endMinute: UByte?
```

The ending minute for the week day schedule.

### startHour

```
val startHour: UByte?
```

The starting hour for the week day schedule.

### startMinute

```
val startMinute: UByte?
```

The starting minute for the week day schedule.

### status

```
val status: DoorLockTrait.DlStatus
```

The status of the `GetWeekDaySchedule` command.

### userIndex

```
val userIndex: UShort
```

The unique identifier for the user whose week day schedule is to be retrieved.

### weekDayIndex

```
val weekDayIndex: UByte
```

The unique identifier for the week day schedule being retrieved.